import React, { useState } from 'react';

//js
import public from 'commons/public';
import { getUserInfo } from '../../commons/utils/publicMethod';

//ui
import TextField from '@mui/material/TextField';
import { Grid } from '@mui/material';
import FormControlLabel from '@mui/material/FormControlLabel';
import Checkbox from '@mui/material/Checkbox';
import { makeStyles } from 'tss-react/mui';
import Radio from '@mui/material/Radio';
import RadioGroup from '@mui/material/RadioGroup';
import FolderOpenIcon from '@mui/icons-material/FolderOpen';
import MenuItem from '@mui/material/MenuItem';
import avatar from '../../commons/assets/img/avatar.svg';

import fileIcon from '../../commons/assets/img/fileIcon.svg';
import appIcon from '../../commons/assets/img/appIcon.svg';
import commandIcon from '../../commons/assets/img/commandIcon.svg';
import homeIcon from '../../commons/assets/img/homeIcon.svg';
import siteIcon from '../../commons/assets/img/siteIcon.svg';

const useStyles = makeStyles()((theme) => {
    return {
        headBody: {
            display: 'flex',
            alignItems: 'center',
            justifyContent: 'space-between',
            width: '300px',
            margin: '0 auto',
            marginTop: '2%',
        },
        leftBox: {
            display: 'flex',
            alignItems: 'end',
        },
        rightBox: {
            display: 'flex',
            // alignItems: 'end',
        },
    };
});

const list = [
    { id: '1', value: fileIcon },
    { id: '2', value: appIcon },
    { id: '3', value: commandIcon },
    { id: '4', value: homeIcon },
    { id: '5', value: siteIcon },
];

export default (props) => {
    const { classes } = useStyles();
    const { render, navigate } = public();

    console.log(getUserInfo(), 'wwwwwwwww');

    const iconClick = (e) => {
        console.log('e: ', e);
    };

    return (
        <Grid className={classes.headBody}>
            <Grid className={classes.leftBox}>
                <img src={avatar} alt="" />
                <Grid sx={{ marginLeft: '8px' }}>
                    <Grid sx={{ fontSize: '14px', color: '#1E2633' }}>
                        {getUserInfo().name}
                    </Grid>
                    <Grid sx={{ fontSize: '12px', color: '#B7B9BD' }}>
                        已用200TB
                    </Grid>
                </Grid>
            </Grid>

            <Grid className={classes.rightBox}>
                {list.map((e) => {
                    return (
                        <img
                            src={e.value}
                            alt={e.id}
                            style={{ marginLeft: '14px', cursor: 'pointer' }}
                            onClick={() => {
                                iconClick(e.id);
                            }}
                        />
                    );
                })}
            </Grid>
        </Grid>
    );
};
